Creates a new task_activity_log

Request Information

URI Parameters :

None.

Body Parameters :

task_activity_log
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

task_id

Task id

globally unique identifier

Optionally required : task_id, task_reference_back_office or task must be provided

task_reference_back_office

Embedded code "task" using ERP PK when adding/updating task_activity_log

string

Optionally required : task_id, task_reference_back_office or task must be provided

task

Embedded entity "task" using node when adding/updating task_activity_log

task

Optionally required : task_id, task_reference_back_office or task must be provided

task_activity_id

task_activity_id

globally unique identifier

Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided

task_activity_reference_back_office

Embedded code "task_activity" using ERP PK when adding/updating task_activity_log

string

Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided

task_activity

Embedded entity "task_activity" using node when adding/updating task_activity_log

task_activity

Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided

user_id

user_id

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded code "user" using ERP PK when adding/updating task_activity_log

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating task_activity_log

user

Optionally required : user_id, user_code or user must be provided

contact_id

contact_id

globally unique identifier

Optionally required : contact_id, contact_reference_back_office or contact must be provided

contact_reference_back_office

Embedded code "contact" using ERP PK when adding/updating task_activity_log

string

Optionally required : contact_id, contact_reference_back_office or contact must be provided

contact

Embedded entity "contact" using node when adding/updating task_activity_log

contact

Optionally required : contact_id, contact_reference_back_office or contact must be provided

subject

Saubject

string

Max length: 64

description

Description

string
due_date

Date+Time of the due date

date

Required

is_closed

is_closed

boolean
date_closed

Date+Time of the date_closed

date

Required

reference_back_office

reference_back_office of task_activity_log

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "5066b3ca-a9ca-4acd-a74b-382e9e5ae3b4",
  "task_id": "42dfcf59-bc7e-4b04-a7fd-0d2735f9851a",
  "task_reference_back_office": "sample string 3",
  "task_activity_id": "64216e5c-ee0a-467e-9aad-28612a0d9170",
  "task_activity_reference_back_office": "sample string 5",
  "user_id": "6c54c0d3-aaaa-40de-ac0b-ab4e98a4d79f",
  "user_code": "sample string 7",
  "contact_id": "9ac2a485-37b5-467f-ad93-473fba5127dc",
  "contact_reference_back_office": "sample string 9",
  "subject": "sample string 10",
  "description": "sample string 11",
  "due_date": "2026-06-05T19:36:08.7409935+00:00",
  "is_closed": true,
  "date_closed": "2026-06-05T19:36:08.7409935+00:00",
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-06-05T19:36:08.7409935+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.